## groovy.ui.text
Class StructuredSyntaxDocumentFilter.MultiLineRun

    java.lang.Object
      groovy.ui.text.StructuredSyntaxDocumentFilter.MultiLineRun

Enclosing class:
  StructuredSyntaxDocumentFilter

    protected class StructuredSyntaxDocumentFilter.MultiLineRun

extends Object

Constructor Summary
`StructuredSyntaxDocumentFilter.MultiLineRun(int start, int end)`
`StructuredSyntaxDocumentFilter.MultiLineRun(int start, int end, int delimeterSize)`

Method Summary
`int` `end()`
`int` `getDelimeterSize()`
`int` `length()`
`int` `start()`
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### StructuredSyntaxDocumentFilter.MultiLineRun

    public StructuredSyntaxDocumentFilter.MultiLineRun(int start,
                                                       int end)
                                                throws BadLocationException

Throws:
  `BadLocationException`

### StructuredSyntaxDocumentFilter.MultiLineRun

    public StructuredSyntaxDocumentFilter.MultiLineRun(int start,
                                                       int end,
                                                       int delimeterSize)
                                                throws BadLocationException

Throws:
  `BadLocationException`

Method Detail

### getDelimeterSize

    public int getDelimeterSize()

### end

    public int end()

### length

    public int length()

### start

    public int start()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Copyright © 2003-2008 The Codehaus. All rights reserved.